RedCrawler API
Moderation V1

Modmail Subreddits V1

Get list of subreddits you moderate with modmail enabled. Requires moderator privileges.

GET /api/v1/moderate/modmail/subreddits

Get list of subreddits you moderate with modmail enabled. Requires moderator privileges.

Query parameters

NameTypeRequiredDescription
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/subreddits?proxy=<proxy>&bearer=<bearer>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/subreddits?proxy=<proxy>&bearer=<bearer>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/subreddits?proxy=<proxy>&bearer=<bearer>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "subreddits": {
      "t5_gstmfv": {
        "communityIcon": "",
        "keyColor": "",
        "display_name": "u/Motor_Tip8865",
        "name": "u_Motor_Tip8865",
        "subscribers": 0,
        "primaryColor": "",
        "id": "t5_examples",
        "lastUpdated": null,
        "icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/"
      },
      "t5_hmeujo": {
        "communityIcon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "keyColor": "",
        "display_name": "RedCrawlerAPI",
        "name": "RedCrawlerAPI",
        "subscribers": 1,
        "primaryColor": "#4C8CFF",
        "id": "t5_examples",
        "lastUpdated": null,
        "icon": ""
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:05.510362+00:00"
}

On this page